cURL
curl --request POST \ --url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/ \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "optimized_weights": [ { "ticker": "<string>", "weight": "<string>" } ] } '
{ "proposal_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "cash_buffer_cad_amount": "<string>", "cash_buffer_usd_amount": "<string>", "orders": [ { "ticker": "<string>", "ticker_symbol": "<string>", "amount": "<string>", "type": "qty", "tax_lots": [ { "cost_basis": "<string>", "quantity": "<string>", "trade_date": "2023-12-25", "gain": "<string>" } ], "fx_cost_breakdown": { "base_amount_usd": "<string>", "fx_rate": "<string>", "fx_fee_percentage": "<string>", "fx_fee_amount_usd": "<string>", "net_amount_usd": "<string>", "currency": "USD" }, "amount_usd": "<string>", "order_category": "long", "reason": "removed_from_target", "existing_quantity": "<string>", "existing_weight": "<string>", "existing_market_value": "<string>", "target_weight": "<string>" } ] }
Create a rebalance proposal for a client.
Documentation IndexFetch the complete documentation index at: https://docs.tilt.pro/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
Use this file to discover all available pages before exploring further.
Show child attributes
^-?\d{0,12}(?:\.\d{0,8})?$